OGRE: Ogre::StaticGeometry::LODBucket Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::StaticGeometry::LODBucket Class Reference

A LODBucket is a collection of smaller buckets with the same LOD. More...

`#include <OgreStaticGeometry.h>`

List of all members.

## Public Types

typedef std::map< String, MaterialBucket * > | MaterialBucketMap
| Lookup of Material Buckets in this region.
typedef MapIterator< MaterialBucketMap > | MaterialIterator
| Iterator over the materials in this LOD.

## Public Member Functions

| LODBucket (Region *parent, unsigned short lod, Real lodDist)
virtual | ~LODBucket ()
Region * | getParent (void)
ushort | getLod (void) const
| Get the lod index.
Real | getSquaredDistance (void) const
| Get the lod squared distance.
void | assign (QueuedSubMesh *qsm, ushort atLod)
| Assign a queued submesh to this bucket, using specified mesh LOD.
void | build (bool stencilShadows)
| Build.
void | addRenderables (RenderQueue *queue, uint8 group, Real camSquaredDistance)
| Add children to the render queue.
MaterialIterator | getMaterialIterator (void)
| Get an iterator over the materials in this LOD.
void | dump (std::ofstream &of) const
| Dump contents for diagnostics.

## Protected Attributes

Region * | mParent
| Pointer to parent region.
unsigned short | mLod
| LOD level (0 == full LOD).
Real | mSquaredDistance
| distance at which this LOD starts to apply (squared)
MaterialBucketMap | mMaterialBucketMap
| Lookup of Material Buckets in this region.
QueuedGeometryList | mQueuedGeometryList
| Geometry queued for a single LOD (deallocated here).

## Detailed Description

A LODBucket is a collection of smaller buckets with the same LOD.

Remarks:
  LOD refers to Mesh LOD here. Material LOD can change separately at the next bucket down from this.

Definition at line 301 of file OgreStaticGeometry.h.

## Member Typedef Documentation

typedef std::map<String, MaterialBucket*> Ogre::StaticGeometry::LODBucket::MaterialBucketMap

| Lookup of Material Buckets in this region. Definition at line 305 of file OgreStaticGeometry.h.

typedef MapIterator<MaterialBucketMap> Ogre::StaticGeometry::LODBucket::MaterialIterator

| Iterator over the materials in this LOD. Definition at line 333 of file OgreStaticGeometry.h.

## Constructor & Destructor Documentation

Ogre::StaticGeometry::LODBucket::LODBucket | ( | Region * | parent,
|  | unsigned short | lod,
|  | Real | lodDist
| ) |

virtual Ogre::StaticGeometry::LODBucket::~LODBucket | ( |  | ) | `[virtual]`

## Member Function Documentation

void Ogre::StaticGeometry::LODBucket::addRenderables | ( | RenderQueue * | queue,
|  | uint8 | group,
|  | Real | camSquaredDistance
| ) |

| Add children to the render queue.

void Ogre::StaticGeometry::LODBucket::assign | ( | QueuedSubMesh * | qsm,
|  | ushort | atLod
| ) |

| Assign a queued submesh to this bucket, using specified mesh LOD.

void Ogre::StaticGeometry::LODBucket::build | ( | bool | stencilShadows | ) |

| Build.

void Ogre::StaticGeometry::LODBucket::dump | ( | std::ofstream & | of | ) | const

| Dump contents for diagnostics.

ushort Ogre::StaticGeometry::LODBucket::getLod | ( | void |  | ) | const

| Get the lod index. Definition at line 322 of file OgreStaticGeometry.h.

MaterialIterator Ogre::StaticGeometry::LODBucket::getMaterialIterator | ( | void |  | ) |

| Get an iterator over the materials in this LOD.

Region* Ogre::StaticGeometry::LODBucket::getParent | ( | void |  | ) |

| Definition at line 320 of file OgreStaticGeometry.h.

Real Ogre::StaticGeometry::LODBucket::getSquaredDistance | ( | void |  | ) | const

| Get the lod squared distance. Definition at line 324 of file OgreStaticGeometry.h.

## Member Data Documentation

unsigned short Ogre::StaticGeometry::LODBucket::mLod`[protected]`

| LOD level (0 == full LOD). Definition at line 310 of file OgreStaticGeometry.h.

MaterialBucketMap Ogre::StaticGeometry::LODBucket::mMaterialBucketMap`[protected]`

| Lookup of Material Buckets in this region. Definition at line 314 of file OgreStaticGeometry.h.

Region* Ogre::StaticGeometry::LODBucket::mParent`[protected]`

| Pointer to parent region. Definition at line 308 of file OgreStaticGeometry.h.

QueuedGeometryList Ogre::StaticGeometry::LODBucket::mQueuedGeometryList`[protected]`

| Geometry queued for a single LOD (deallocated here). Definition at line 316 of file OgreStaticGeometry.h.

Real Ogre::StaticGeometry::LODBucket::mSquaredDistance`[protected]`

| distance at which this LOD starts to apply (squared) Definition at line 312 of file OgreStaticGeometry.h.

The documentation for this class was generated from the following file:

- OgreStaticGeometry.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:49:07 2008